Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

List every private lesson type staff can book, published or not.

List every private lesson type staff can book, published or not. An organization-scoped read using JSON filter arguments; requires private_lessons.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/list_private_lesson_types
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
object
Responses
200

Successful read.

dataobject[]required
Show properties
Array of object
idstringrequired

Opaque Soljio resource ID.

min length 1
namestringrequired
descriptionstringrequired
duration_minutesnumberrequired
capacitynumberrequired
pricingobjectrequired
Show properties
amount_minornumberrequired
currencystringrequired
group_ratesobject[]required
Show properties
Array of object
amount_minornumberrequired
studentsnumberrequired
modestringrequired
Show properties
Any of:
string
string
string
string
min_agenumber
max_agenumber
skill_levelsstring[]required
requires_approvalbooleanrequired
allow_pay_laterbooleanrequired
allow_instructor_choicebooleanrequired
cancellation_hoursnumberrequired
notice_hoursnumberrequired
horizon_daysnumberrequired
locationsobject[]required
Show properties
Array of object
idstringrequired

Opaque Soljio resource ID.

min length 1
instructorsobject[]required
Show properties
Array of object
idstringrequired

Opaque Soljio resource ID.

min length 1
namestringrequired
namestringrequired
publishedbooleanrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/list_private_lesson_types' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "duration_minutes": 0,
      "capacity": 0,
      "pricing": {
        "amount_minor": 0,
        "currency": "string",
        "group_rates": [
          {
            "amount_minor": 0,
            "students": 0
          }
        ],
        "mode": "booking"
      },
      "min_age": 0,
      "max_age": 0,
      "skill_levels": [
        "string"
      ],
      "requires_approval": true,
      "allow_pay_later": true,
      "allow_instructor_choice": true,
      "cancellation_hours": 0,
      "notice_hours": 0,
      "horizon_days": 0,
      "locations": [
        {
          "id": "string",
          "instructors": [
            {
              "id": "string",
              "name": "string"
            }
          ],
          "name": "string"
        }
      ],
      "published": true
    }
  ],
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}